<!DOCTYPE flight_plan SYSTEM "../../flight_plan.dtd">

<flight_plan alt="260" ground_alt="185" lat0="43.46223" lon0="1.27289" max_dist_from_home="1500" name="Small1" security_height="25" qfu="1.0">
    <waypoints>
        <waypoint name="HOME" x="0.0" y="0.0"/>
        <waypoint name="p1" x="0.0" y="0.0"/>
    </waypoints>


    <blocks>
        <block name="Wait GPS">
            <while cond="!call_five_time()">
                <for from="1" to="2" var="i_t">
                    <heading alt="WaypointAlt(WP_p1)" course="$i_t" until="nav_cond(1)  @OR (5 == $i_t)"/>
                    <for from="1" to="3" var="j_t">
                        <while cond="nav_cond(2)">
                            <heading alt="WaypointAlt(WP_p1 * $j_t)" course="$j_t" until="nav_cond(5) @OR (5 == $i_t)"/>
                        </while>
                    </for>
                </for>
            </while>
        </block>

        <block name="Fly" post_call="nav_fun(3)">
            <for from="1" to="5" var="i">
                <heading alt="WaypointAlt(WP_p1)" course="$i" until="nav_cond(3)"/>
                <for from="1" to="$i" var="j">
                    <heading alt="WaypointAlt(WP_p1)" course="$j" until="nav_cond(4)"/>
                </for>
            </for>
            <home/>
            <attitude roll="14" pre_call="nav_fun(16)" pre_call="nav_fun(15)" until="nav_cond(17)" pitch="auto" height="90" throttle="0.1"/>
            <go wp="HOME" alt="10" pre_call="nav_fun(24)" post_call="nav_fun(25)" until="nav_cond(23)" pitch="10.5"     hmode="route"/>
            <exception cond="FALSE" deroute="Wait GPS" />
        </block>
    </blocks>
</flight_plan>
